Bug 1531568

Summary: transtats-cli: python3-transtats-cli requires both Python 2 and Python 3
Product: [Fedora] Fedora Reporter: Jan Beran <jberan>
Component: transtats-cliAssignee: Sundeep Anand <suanand>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: mhroncok, suanand
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: transtats-cli-0.1.1-4.fc27 transtats-cli-0.1.1-4.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-20 17:11:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1285816, 1312032, 1340802    

Description Jan Beran 2018-01-05 14:37:47 UTC
Description of problem:
python3-transtats-cli requires both Python 2 and Python 3

Version-Release number of selected component (if applicable):
transtats-cli-0.1.1-3

How reproducible:
Report at http://fedora.portingdb.xyz/pkg/transtats-cli/
RPMs
    python2-transtats-cli-0.1.1-3.fc28
        × /usr/bin/python2
        × python(abi) = 2.7
    python3-transtats-cli-0.1.1-3.fc28
        × /usr/bin/python2
        ✔ /usr/bin/python3
        ✔ python(abi) = 3.6

Steps to Reproduce:
$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python3-transtats-cli

Actual results:
/usr/bin/python2
/usr/bin/python3
python(abi) = 3.6
python3-click
python3-requests
python3-six

Expected results:
/usr/bin/python3
python(abi) = 3.6
python3-click
python3-requests
python3-six

Additional info:
I will prepare a fix to solve the issue.

Comment 1 Jan Beran 2018-01-05 14:48:46 UTC
Hello Sundeep,

I have prepared a Pagure PR which fixes the issue:

https://src.fedoraproject.org/rpms/transtats-cli/pull-request/2

May I ask you to review the patch and rebuild the package?

Comment 2 Miro Hrončok 2018-01-05 15:08:35 UTC
While we are here. May I ask what is the difference for this user, when invoking the Python 3 and the Python 2 version? If there is none, all the -2 and -3 executables are bogus and there should be only one executable - a Python 3 one.

Comment 3 Miro Hrončok 2018-01-05 15:08:54 UTC
*for the user

Comment 4 Jan Beran 2018-01-05 15:20:19 UTC
Hi Sundeep,

Miro is right. If you accept his recommendation, I can rework my patch to follow this strategy and keep only Python 3 executable in Fedora and Python 2 executable outside Fedora. What is your opinion?

Comment 5 Sundeep Anand 2018-01-30 05:18:54 UTC
(Sorry for replying late) I was also thinking for the same - Py3 exec for fedora and Py2 elsewhere.

Comment 6 Jan Beran 2018-01-30 14:05:10 UTC
Hi Sundeep,

thank you for the feedback. I have prepared a new Pagure PR that reflects the agreed approach:

https://src.fedoraproject.org/rpms/transtats-cli/pull-request/3

May I ask you to review and rebuild the package?

Comment 7 Fedora Update System 2018-01-31 07:13:46 UTC
transtats-cli-0.1.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e414ec4872

Comment 8 Fedora Update System 2018-01-31 07:19:42 UTC
transtats-cli-0.1.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-209cc2f8ce

Comment 9 Fedora Update System 2018-01-31 20:06:11 UTC
transtats-cli-0.1.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e414ec4872

Comment 10 Fedora Update System 2018-01-31 22:45:53 UTC
transtats-cli-0.1.1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-209cc2f8ce

Comment 11 Fedora End Of Life 2018-02-20 15:38:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 12 Fedora Update System 2018-02-20 17:11:49 UTC
transtats-cli-0.1.1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-02-22 16:47:40 UTC
transtats-cli-0.1.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.